Lists items in a container with optional filtering and pagination.
curl --request POST \
--url https://{install}/api/item/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"includeClosed": true,
"filter": [
"<string>"
],
"containerId": "<string>",
"includeTime": true,
"includeLink": true,
"includeDependency": true,
"includeAnnotation": true
}
'import requests
url = "https://{install}/api/item/list"
payload = {
"includeClosed": True,
"filter": ["<string>"],
"containerId": "<string>",
"includeTime": True,
"includeLink": True,
"includeDependency": True,
"includeAnnotation": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
includeClosed: true,
filter: ['<string>'],
containerId: '<string>',
includeTime: true,
includeLink: true,
includeDependency: true,
includeAnnotation: true
})
};
fetch('https://{install}/api/item/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/item/list");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"includeClosed\": true,\n \"filter\": [\n \"<string>\"\n ],\n \"containerId\": \"<string>\",\n \"includeTime\": true,\n \"includeLink\": true,\n \"includeDependency\": true,\n \"includeAnnotation\": true\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"entity": "<string>",
"containerId": "<string>",
"processId": "<string>",
"sequence": 123,
"boardId": "<string>",
"cycleId": "<string>",
"resourceType": 123,
"resourceId": "<string>",
"dateOpened": "2023-11-07T05:31:56Z",
"dateWorking": "2023-11-07T05:31:56Z",
"dateClosed": "2023-11-07T05:31:56Z",
"time": [
{
"id": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"timeTypeId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"status": 123
}
],
"field": [
{
"fieldId": "<string>",
"data": "<string>"
}
],
"meta": [
{
"key": "<string>",
"value": "<string>"
}
],
"clockStart": "2023-11-07T05:31:56Z",
"clockFinish": "2023-11-07T05:31:56Z",
"clockDelta": 123,
"clockHours": 123,
"clockStatus": 123,
"dependencyKey": "<string>",
"dependencyIndent": 123,
"dependencyChild": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
]Items
Lists items in a container with optional filtering and pagination.
POST
/
api
/
item
/
list
Lists items in a container with optional filtering and pagination.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
Filter and pagination options including container ID.
Response
List of items matching the criteria.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Finds items by container ID and/or sequence number.
Previous
Searches for items matching a keyword across one or more containers, filtered by user permissions.
Next
⌘I